Subject: Re: selective git-update-index per diff(1) chunks

From: Sam Vilain <[email-masked]>
Date: Sun, 03 Dec 2006 10:08:47 +1300

Peter Baumann wrote:
>> Now I want to commit them as two separate commits. So far, it's
>> * getting full diff
>> * cp(1)
>> * hand-edit both diffs
>> * commit first
>> * commit second

I made a patch to 'cg-commit -p' to do this, check the archives.

>> Relying on diff(1) definition of chunks is sorta hacky, though... I admit it.
> 
> I don't think it belongs in the plumbing, the git-update-index but I
> think something like this would be very usefull.
> 
> AFAIR darcs has this functionality. It selectively ask for each hunk if
> it should be commited. This would be awfull to have in git.

darcs and SVK both have this "interactive commit".

darcs also does something very useful with this; what amounts to
automatically making topic branches.  Currently there is no easy way to
manage that, either.

Sam.